OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.AMD.SparseTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDSparseTexture :: MonadIO m => m Bool
- gl_AMD_sparse_texture :: Bool
- pattern GL_MAX_SPARSE_3D_TEXTURE_SIZE_AMD :: GLenum
- pattern GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS :: GLenum
- pattern GL_MAX_SPARSE_TEXTURE_SIZE_AMD :: GLenum
- pattern GL_MIN_LOD_WARNING_AMD :: GLenum
- pattern GL_MIN_SPARSE_LEVEL_AMD :: GLenum
- pattern GL_TEXTURE_STORAGE_SPARSE_BIT_AMD :: GLbitfield
- pattern GL_VIRTUAL_PAGE_SIZE_X_AMD :: GLenum
- pattern GL_VIRTUAL_PAGE_SIZE_Y_AMD :: GLenum
- pattern GL_VIRTUAL_PAGE_SIZE_Z_AMD :: GLenum
- glTexStorageSparseAMD :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLsizei -> GLbitfield -> m ()
- glTextureStorageSparseAMD :: MonadIO m => GLuint -> GLenum -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLsizei -> GLbitfield -> m ()

# Extension Support

glGetAMDSparseTexture :: MonadIO m => m Bool Source #

Is the AMD_sparse_texture extension supported?

gl_AMD_sparse_texture :: Bool Source #

Is the AMD_sparse_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDSparseTexture` in those cases instead.

# Enums

pattern GL_MAX_SPARSE_3D_TEXTURE_SIZE_AMD :: GLenum Source #

pattern GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS :: GLenum Source #

pattern GL_MAX_SPARSE_TEXTURE_SIZE_AMD :: GLenum Source #

pattern GL_MIN_LOD_WARNING_AMD :: GLenum Source #

pattern GL_MIN_SPARSE_LEVEL_AMD :: GLenum Source #

pattern GL_TEXTURE_STORAGE_SPARSE_BIT_AMD :: GLbitfield Source #

pattern GL_VIRTUAL_PAGE_SIZE_X_AMD :: GLenum Source #

pattern GL_VIRTUAL_PAGE_SIZE_Y_AMD :: GLenum Source #

pattern GL_VIRTUAL_PAGE_SIZE_Z_AMD :: GLenum Source #

# Functions

glTexStorageSparseAMD Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `internalFormat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLsizei | `layers`.
-> GLbitfield | `flags` of type TextureStorageMaskAMD.
-> m () |

glTextureStorageSparseAMD Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target`.
-> GLenum | `internalFormat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLsizei | `layers`.
-> GLbitfield | `flags` of type TextureStorageMaskAMD.
-> m () |